package com.zipcodewilmington.phonebook;

import org.junit.Assert;
import org.junit.Test;

public class PhoneBookTest {

    @Test
    public void hasEntryTest() {
        //Given
        PhoneBook pb = new PhoneBook();
        String name = "Kate";
        String number = "213345";
        pb.directory.put(name, number);

        //When
        boolean expected = true;
        boolean actual = pb.hasEntry(name);

        //Then
        Assert.assertEquals(expected, actual);
    }

    @Test
    public void addTest() {
        PhoneBook pb = new PhoneBook();
        String name = "Kate";
        String number = "213345";
        pb.add(name, number);

        boolean actual = pb.directory.containsKey(name);
        boolean expected = true;

        Assert.assertEquals(expected, actual);

    }

    @Test
    public void lookupTest() {
        PhoneBook pb = new PhoneBook();
        String name = "Kate";
        String number = "213345";
        pb.directory.put(name, number);

        String expected = number;
        String actual = pb.lookup(name);

        Assert.assertEquals(expected, actual);

    }

   @Test
    public void removeTest() {
        PhoneBook pb = new PhoneBook();
        String name = "Kate";
        String number = "213345";
        //pb.remove(name);
        pb.directory.put(name, number);

        boolean actual = pb.directory.remove(name, number);
        boolean expected = true;


        Assert.assertEquals(expected, actual);
    }


   /* @Test
    public void reverseLookupTest() {
        PhoneBook pb = new PhoneBook();
        String name = "Kate";
        String number = "213345";
        pb.directory.put(name, number);

        String expected = name;
        String actual = pb.reverseLookup(number);

        Assert.assertEquals(expected, actual);
    }*/
/*
  @Test
    public void listNamesAndNumbersTest() {
       PhoneBook pb = new PhoneBook();
       String name = "Kate";
       String number = "213345";
       pb.directory.put(name, number);

       //Map expected =
       //Collection<String> actual = pb.listNamesAndNumbers();

       //Assert.assertEquals(expected, actual);
   }
*/


}